Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions
ECNR< EC, H > Struct Template Reference

ECNR. More...

`#include <eccrypto.h>`

Inheritance diagram for ECNR< EC, H >:

List of all members.

## Public Types

typedef PK_FinalTemplate < DL_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate < DL_VerifierImpl < SchemeOptions > > | Verifier
| implements PK_Verifier interface
typedef DL_PublicKey_EC< EC > | PublicKey
typedef DL_PrivateKey_EC< EC > | PrivateKey

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class EC, class H = SHA>
struct ECNR< EC, H >

ECNR.

Definition at line 235 of file eccrypto.h.

The documentation for this struct was generated from the following file:

- eccrypto.h